import buttonProps from '@salesforce-ux/sds-styling-hooks/dist/button.raw.json';
import containerProps from '@salesforce-ux/sds-styling-hooks/dist/container.raw.json';
import headingProps from '@salesforce-ux/sds-styling-hooks/dist/heading.raw.json';
import inputProps from '@salesforce-ux/sds-styling-hooks/dist/input.raw.json';
import linkProps from '@salesforce-ux/sds-styling-hooks/dist/link.raw.json';
import popupProps from '@salesforce-ux/sds-styling-hooks/dist/popup.raw.json';
import { basicExample } from './examples/basic';

export default {
  title: 'C360 Subsystem/Styling Hooks/Shared',
  parameters: {
    docs: {
      source: {
        type: 'auto',
      },
    },
  },
};

export const Buttons = () => basicExample(buttonProps);
export const Containers = () => basicExample(containerProps);
export const Headings = () => basicExample(headingProps);
export const Inputs = () => basicExample(inputProps);
export const Links = () => basicExample(linkProps);
export const Popups = () => basicExample(popupProps);
